FOSRestBundle
=============

This bundle provides various tools to rapidly develop RESTful API's &
applications with Symfony2. Features include:

- A View layer to enable output and format agnostic Controllers
- A custom route loader to generate url's following REST conventions
- Accept header format negotiation including handling for custom mime types
- RESTful decoding of HTTP request body and Accept headers
- Exception controller for sending appropriate HTTP status codes

[![Build Status](https://secure.travis-ci.org/FriendsOfSymfony/FOSRestBundle.png?branch=master)](http://travis-ci.org/FriendsOfSymfony/FOSRestBundle) [![Total Downloads](https://poser.pugx.org/FriendsOfSymfony/rest-bundle/downloads.png)](https://packagist.org/packages/FriendsOfSymfony/rest-bundle) [![Latest Stable Version](https://poser.pugx.org/FriendsOfSymfony/rest-bundle/v/stable.png)](https://packagist.org/packages/FriendsOfSymfony/rest-bundle)

State
-----

While the provided feature set is certainly production ready, this Bundle is still under development.
As a result users must expect BC breaks when using the master version. Such breaks will however be
noted in the [UPGRADING.md](https://github.com/FriendsOfSymfony/FOSRestBundle/blob/master/UPGRADING.md).
A new version of the Bundle will be tagged in most cases before a BC break, however do not expect bug
fixes for these tagged versions.

Documentation
-------------

The bulk of the documentation is stored in the `Resources/doc/index.md`
file in this bundle:

[Read the Documentation for master](https://github.com/FriendsOfSymfony/FOSRestBundle/blob/master/Resources/doc/index.md)

Installation
------------

All the installation instructions are located in the [documentation](https://github.com/FriendsOfSymfony/FOSRestBundle/blob/master/Resources/doc/index.md).

License
-------

This bundle is under the MIT license. See the complete license in the bundle:

    Resources/meta/LICENSE
